package fitconnect.api.problems;

import org.zalando.problem.Status;

public class EncryptionProblem extends FitConnectProblem {

    private static final long serialVersionUID = 1L;

    public EncryptionProblem(String issue) {
        super(
                makeProblemURI("invalid-jwe-content"),
                "Invalid JWE Content",
                Status.BAD_REQUEST,
                "There was a problem parsing the JWE",
                null,
                issue
        );
    }
}
